diff options
author | Simon Glass <sjg@chromium.org> | 2020-03-18 09:42:59 -0600 |
---|---|---|
committer | Tom Rini <trini@konsulko.com> | 2020-04-10 21:33:09 -0400 |
commit | cec1e856d3d40544fdf8d4d71e4805963c537c18 (patch) | |
tree | 011deac1e03d6a3862cf4f205b4ce504d0dbf998 /.travis.yml | |
parent | e28e9db69c4326a0f1339b94cfcd195441b8e31f (diff) | |
download | u-boot-cec1e856d3d40544fdf8d4d71e4805963c537c18.tar.gz u-boot-cec1e856d3d40544fdf8d4d71e4805963c537c18.tar.bz2 u-boot-cec1e856d3d40544fdf8d4d71e4805963c537c18.zip |
travis/gitlab/azure: Simplify the exit code for test.py
It seems unnecessary to read the exit code and then check it again. Drop
this and just let the test.py provide the exit code directly.
Signed-off-by: Simon Glass <sjg@chromium.org>
Reviewed-by: Tom Rini <trini@konsulko.com>
Diffstat (limited to '.travis.yml')
-rw-r--r-- | .travis.yml | 6 |
1 files changed, 1 insertions, 5 deletions
diff --git a/.travis.yml b/.travis.yml index ba005f7d12..176cf0c6f2 100644 --- a/.travis.yml +++ b/.travis.yml @@ -245,11 +245,7 @@ script: pip install -r test/py/requirements.txt; ./test/py/test.py --bd ${TEST_PY_BD} ${TEST_PY_ID} ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"} - --build-dir "$UBOOT_TRAVIS_BUILD_DIR"; - ret=$?; - if [[ $ret -ne 0 ]]; then - exit $ret; - fi; + --build-dir "$UBOOT_TRAVIS_BUILD_DIR" || exit; if [[ -n "${TEST_PY_TOOLS}" ]]; then export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"; export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}"; |